Add-In built in 2.1.2 doesn't work in 2.0

62
1
Jump to solution
05-13-2018 12:55 PM
Highlighted
Occasional Contributor II

Unexpectedly an add-in built in 2.1.2 environment doesnt' work in ArcGIS Pro 2.0. I've attached test add-in with a single button in 'Add-In' ribbon group. Clicking the button disables it saying that button class is not found.

desktopVersion="2.0" but add-in doesn't work.

Version of the software used to build the add-in:

ArcGIS Pro 2.1.2

ArcGIS Pro SDK for .NET 2.1.0.10257

ArcGIS Pro SDK for .NET (Utilities) 2.1.0.10257

2.1.2 is not a major version so I suppose add-in should work. Add-in was created just from VS template, nothing changed in it.

Tags (1)
0 Kudos
1 Solution

Accepted Solutions
Highlighted
Regular Contributor

Hi Max,

 If I understand you correctly you are trying to run an add-in built using 2.1.2 under ArcGIS Pro 2.0.  If so then the following rules apply:

Add-ins and configurations are forwards compatible across all minor versions of ArcGIS Pro. Add-ins and configurations are not forward compatible across major versions (eg 2.x, 3.x, etc). Add-ins and configurations are not backwards compatible across any versions of ArcGIS Pro.

You can read more about add-in versioning here:  https://github.com/ArcGIS/arcgis-pro-sdk/wiki/ProConcepts-Advanced-Topics#add-in-versioning

- Wolf

View solution in original post

0 Kudos
1 Reply
Highlighted
Regular Contributor

Hi Max,

 If I understand you correctly you are trying to run an add-in built using 2.1.2 under ArcGIS Pro 2.0.  If so then the following rules apply:

Add-ins and configurations are forwards compatible across all minor versions of ArcGIS Pro. Add-ins and configurations are not forward compatible across major versions (eg 2.x, 3.x, etc). Add-ins and configurations are not backwards compatible across any versions of ArcGIS Pro.

You can read more about add-in versioning here:  https://github.com/ArcGIS/arcgis-pro-sdk/wiki/ProConcepts-Advanced-Topics#add-in-versioning

- Wolf

View solution in original post

0 Kudos